For the complete documentation index, see llms.txt. This page is also available as Markdown.

Login user

Login as a tenant user

Requires a valid deviceToken

post
/account
Authorizations
AuthorizationstringRequired

The devicetoken is only used for to attach devices and tie it to a tenant

Body
passwordstringRequired
userCodestringRequired
Responses
200

Example response

application/json
accessTokenstringRequired
post/account
POST /v2/account HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "password": "text",
  "userCode": "text"
}
200

Example response

{
  "accessToken": "text",
  "tenantUser": {
    "accountType": "FULL",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "defaultStoreUid": "text",
    "displayName": "text",
    "email": "text",
    "externalId": "text",
    "firstname": "text",
    "lastAccessed": "2026-01-01T00:00:00.000Z",
    "lastModifiedAt": "2026-01-01T00:00:00.000Z",
    "lastname": "text",
    "mobile": "text",
    "status": "PENDING_INVITE",
    "storeAccess": [
      {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "lastModifiedAt": "2026-01-01T00:00:00.000Z",
        "storeAccessUid": "text",
        "storeUid": "text",
        "storeRole": "ADMIN"
      }
    ],
    "tenantUid": "text",
    "tenantName": "text",
    "tenantRole": "ACCESS",
    "tenantUserUid": "text",
    "userCode": "text",
    "languageCode": "text",
    "permissions": {
      "tenant": [
        "text"
      ],
      "stores": [
        {
          "store": {
            "name": "text",
            "storeUid": "text",
            "organizationUid": "text",
            "organizationName": "text"
          },
          "permissions": [
            "text"
          ]
        }
      ],
      "organizations": [
        {
          "organization": {
            "name": "text",
            "organizationUid": "text"
          },
          "permissions": [
            "text"
          ]
        }
      ]
    }
  }
}

Last updated

Was this helpful?